//start_exitFullscreen
(function exitFullscreen() {
    if(document.exitFullScreen) {
        document.exitFullScreen();
    } else if(document.mozCancelFullScreen) {
        document.mozCancelFullScreen();
    } else if(document.webkitExitFullscreen) {
        document.webkitExitFullscreen();
    } else if(element.msExitFullscreen) {
        element.msExitFullscreen();
    }
})();
//end_exitFullscreen

//start_enterFullscreen
(function enterFullscreen() {
    var videos = document.querySelectorAll('video')
    var maxVideoWidth = 0
    var currVideo = null
    for (var i = 0; i < videos.length; i++) {
        if (videos[i].offsetWidth > maxVideoWidth) {
            maxVideoWidth = videos[i].offsetWidth
            currVideo = videos[i]
        }
    }

    if (currVideo != null) {
        if (currVideo.requestFullscreen) {
            currVideo.requestFullscreen();
        } else if (currVideo.mozRequestFullScreen) {
            currVideo.mozRequestFullScreen();
        } else if (currVideo.webkitRequestFullscreen) {
            currVideo.webkitRequestFullscreen();
        } else if (currVideo.msRequestFullscreen) {
            currVideo.msRequestFullscreen();
        }
    }
})();
//end_enterFullscreen

//start_checkHasBackBtn
(function checkHasBackBtn() {
    var isExit = document.getElementsByClassName("mplayer-top-return")[0] != undefined
    var strJson = '{"type":"checkHasBackBtn","isExit":' + isExit + '}';
    window.wst.commonJsDataCallback(strJson);
})();
//end_checkHasBackBtn

//start_getVideoWidth
(function getVideoWidth() {
    var videos = document.querySelectorAll('video')
    var maxVideoWidth = 0
    var currVideo = null
    for (var i = 0; i < videos.length; i++) {
        if (videos[i].offsetWidth > maxVideoWidth) {
            maxVideoWidth = videos[i].offsetWidth
            currVideo = videos[i]
        }
    }
    var leftMargin = 0
    if (currVideo != null) {
        leftMargin = currVideo.offsetLeft;
        while (currVideo = currVideo.offsetParent) {
            leftMargin += currVideo.offsetLeft;
        }
    }
    var strJson = '{"type":"getVideoWidth","leftMargin":' + leftMargin + ',"videoWidth":' + maxVideoWidth + '}';
    window.wst.commonJsDataCallback(strJson);
})();
//end_getVideoWidth
